Index: configure.ac
===================================================================
RCS file: /cvsroot/pure-data/externals/pdp/configure.ac,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -w -r1.4 -r1.5
--- configure.ac	16 Dec 2005 00:51:02 -0000	1.4
+++ configure.ac	16 Dec 2005 02:55:14 -0000	1.5
@@ -42,8 +42,8 @@
 	[  --enable-debug          enable debugging support (no)], , enable_debug=no)
 
 
-
-PDP_CFLAGS="-DPD -Wall -W -Wstrict-prototypes -Wno-unused -Wno-parentheses -Wno-switch"
+PWD=`pwd`
+PDP_CFLAGS="-DPD -Wall -W -Wstrict-prototypes -Wno-unused -Wno-parentheses -Wno-switch -I$(PWD)/../../pd/src"
 dnl -Werror -Wshadow
 
 
@@ -75,7 +75,6 @@
 dnl try to locate the pd header in case the setup is nonstandard
 dnl check in  $prefix/pd/src then ../pd/src 
 dnl if this fails we trust it is in the standard include path
-PWD=`pwd`
 if test -f $prefix/pd/src/m_pd.h;
 then
 	PD_CPPFLAGS="-I$prefix/pd/src"
@@ -83,6 +82,9 @@
 elif test -f $prefix/src/pd/src/m_pd.h;
 then
 	PD_CPPFLAGS="-I$prefix/src/pd/src"
+elif test -f $PWD/../../pd/src/m_pd.h;
+then
+	PD_CPPFLAGS="-I$PWD/../../pd/src"
 elif test -f $PWD/../pd/src/m_pd.h;
 then
 	PD_CPPFLAGS="-I$PWD/../pd/src"
@@ -125,7 +127,7 @@
 dnl How to test if frameworks are present ????
 if test $ARCH == Darwin
 then
-	PD_EXECUTABLE=$prefix/bin/pd
+	PD_EXECUTABLE=$PWD/../../pd/bin/pd
 	LIBS="$LIBS -L/sw/lib"
 	CPPFLAGS="$CPPFLAGS -I/sw/include"
 	PDP_EXTRA_CPPFLAGS="-I/sw/include"
Index: include/pdp_net.h
===================================================================
RCS file: /cvsroot/pure-data/externals/pdp/include/pdp_net.h,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -w -r1.3 -r1.4
--- include/pdp_net.h	16 Dec 2005 01:05:32 -0000	1.3
+++ include/pdp_net.h	16 Dec 2005 02:55:15 -0000	1.4
@@ -39,6 +39,7 @@
 
 */
 
+#include <sys/types.h>
 #include <sys/socket.h>
 #include <netinet/in.h>
 #include <arpa/inet.h>
